Bug 75309 - (G400) font display problems with gnome apps
Summary: (G400) font display problems with gnome apps
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 8.0
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL: http://home.insightbb.com/~bdwheeler3...
Whiteboard:
Keywords:
Depends On:
Blocks: 82777
TreeView+ depends on / blocked
 
Reported: 2002-10-07 06:10 UTC by Brian Wheeler
Modified: 2007-04-18 16:47 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-24 17:51:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xfree86 log (29.51 KB, text/plain)
2002-11-25 02:07 UTC, Brian Wheeler
no flags Details

Description Brian Wheeler 2002-10-07 06:10:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.5 (X11; Linux i686; U;) Gecko/20020809

Description of problem:
When fonts are displayed in the application menu and varous dialogs, instead of
text, a filled black box is presented.  If the control is active, hovering over
the box will cause the text to be rendered properly.  If its inactive text,
hovering another window above it and moving it will fix it as well.  This is
happening with both the provided Sans font and the user-installed Verdana font.
 This is 

Version-Release number of selected component (if applicable):


How reproducible:
Sometimes

Steps to Reproduce:
1. Pick an app
2. Maybe it'll display fonts funny
3. Maybe not...try again! :)
	

Additional info:

I'm using a Matrox G400 AGP card.

Comment 1 Mike A. Harris 2002-10-07 12:22:36 UTC
As a troubleshooting guide, please disable 2D acceleration with:

Option "noaccel"

Does this make the problem go away after you restart X?

Comment 2 Brian Wheeler 2002-10-09 07:48:31 UTC
Yep, that seems to have fixed it.  Though (as expected) it did slow down moving
and resizing windows.

Any hints on how to resolve the fonts && keep the speed up?

Comment 3 Mike A. Harris 2002-11-24 09:17:00 UTC
Yes, we can work on that.  Re-enable acceleration now by removing the
above noaccel from your config and try instead using:

Option "XaaNoOffscreenPixmaps"

Does this solve the problem?

Also, are you using single head or dual head?

Can you attach your config file and XFree86 log file?  I'm debugging Matrox
issues right now.

Comment 4 Brian Wheeler 2002-11-25 02:07:52 UTC
Created attachment 86246 [details]
Xfree86 log

Comment 5 Brian Wheeler 2002-11-25 02:12:20 UTC
XaaNoOffscreenPixmaps also fixes the problem.

I'm running single head at this point.

Thanks!

Comment 6 Mike A. Harris 2004-09-24 17:51:43 UTC
We believe this issue to be resolved in our currently shipping
OS releases.  Please upgrade to Fedora Core 2 or later, and if this
issue turns out to still be reproduceable, please file a bug report
in the X.Org bugzilla located at http://bugs.freedesktop.org in the
"xorg" component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes
that become available for consideration in future updates.






Note You need to log in before you can comment on or make changes to this bug.